List team members
curl --request GET \
--url https://www.useroulette.com/api/v1/accounts/{account_id}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.useroulette.com/api/v1/accounts/{account_id}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.useroulette.com/api/v1/accounts/{account_id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"members": [
{
"id": "membership-uuid-1",
"user_id": "user-uuid-1",
"account_id": "account-uuid",
"role": "owner",
"name": "John Doe",
"email": "john@example.com",
"picture_url": "https://example.com/avatars/john.jpg",
"created_at": "2023-06-01T00:00:00Z"
},
{
"id": "membership-uuid-2",
"user_id": "user-uuid-2",
"account_id": "account-uuid",
"role": "admin",
"name": "Jane Smith",
"email": "jane@example.com",
"picture_url": null,
"created_at": "2023-08-15T00:00:00Z"
}
],
"invitations": [
{
"id": "invite-uuid-1",
"account_id": "account-uuid",
"email": "newmember@example.com",
"role": "member",
"invited_by": "user-uuid-1",
"expires_at": "2024-02-01T00:00:00Z",
"created_at": "2024-01-15T00:00:00Z"
}
]
}
}{
"success": false,
"error": "Invalid or expired API key",
"data": null
}{
"success": false,
"error": "Resource not found",
"data": null
}Team Members
List team members
Retrieve all members and pending invitations for the account/team.
GET
/
accounts
/
{account_id}
/
members
List team members
Authorizations
API key authentication. Generate keys from your account settings.
Include in header: Authorization: Bearer YOUR_API_KEY
Path Parameters
The unique identifier of the account/team
⌘I

